Skip to content

Lock/Unlock Snapshot

PUT
/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"locked_status": false,
"resource_type": "node"
}'
node_id
required
string

Path parameter node_id.

snapshot_uuid
required
string

Path parameter snapshot_uuid.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the lock/unlock snapshot request

Example

<API_KEY>
location
required
string

Specifies the target location for the lock or unlock operation

Example

<LOCATION>
Media typeapplication/json
object
locked_status

Indicates if the snapshot should be locked (true) or unlocked (false).

boolean

Example

false
resource_type

Specifies the type of resource to lock or unlock

string

Example

node

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the lock/unlock operation

integer
data
object
errors
object
message

Status message indicating the result of the lock or unlock snapshot operation

string

Example

{
"code": 200,
"message": "Success"
}